### Hierarchy

- TileDownloader

## Index

### Constructors

- constructor

### Methods

- cancel
- download

## Constructors

### constructor

- new TileDownloader(tiles: {}[], callbacks: {}, workers: number): TileDownloader

- - Defined in src/offline/TilesDownloader.js:37

  #### Parameters

  - ##### tiles: {}[]

    An array of tiles to download.

  - ##### callbacks: {}

    The callbacks.

  - ##### workers: number

    The maximum number of workers.

  #### Returns TileDownloader

## Methods

### cancel

- cancel(): void

- - Defined in src/offline/TilesDownloader.js:112

  #### Returns void

### download

- download(): Promise<any>

- - Defined in src/offline/TilesDownloader.js:119

  #### Returns Promise<any>

  A promise that resolves when the downloads are complete (failing or not)

Generated using TypeDoc